# Module cloud_local

- Description
- Function Index
- Function Details

CLOUD LOCAL starts or stops local erlang vms based on alarms defined for the autoscale process.

Copyright © 2013-2015 Zuse Institute Berlin

Version: $Id$

Behaviours: `cloud_beh`.

Authors: Maximilian Michels (`michels@zib.de`).

## Description

CLOUD LOCAL starts or stops local erlang vms based on alarms defined for the autoscale process. The module is used by autoscale if the following option has been set in scalaris.local.cfg: {autoscale_cloud_module, cloud_local} The following options can also be set: {cloud_local_min_vms, integer()}. {cloud_local_max_vms, integer()}.

## Function Index

add_vms/1 |
check_config/0 |
get_number_of_vms/0 |
init/0 |
remove_vms/1 |

## Function Details

### init/0

    init() -> ok

### get_number_of_vms/0

    get_number_of_vms() -> non_neg_integer()

### add_vms/1

    add_vms(N :: non_neg_integer()) -> ok

### remove_vms/1

    remove_vms(N :: non_neg_integer()) -> ok

### check_config/0

    check_config() -> boolean()

Generated by EDoc, Feb 29 2016, 16:12:17.